#
# spec file for package python3-nose-cover3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-nose-cover3
Version:        0.1.0
Release:        8.2
Url:            http://github.com/ask/nosecover3
Summary:        Coverage 3.x support for Nose
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/n/nose-cover3/nose-cover3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3-coverage
Requires:       python3-nose
BuildArch:      noarch

%description
Coverage 3.x support for Nose.

%prep
%setup -q -n nose-cover3-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README lgpl.txt
%{python3_sitelib}/*

%changelog
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
